@import model._

@(player: PlayerWithTypesAndInfo, playerWithStats: PlayerWithAllStats, pitchingRecords: Map[(Boolean, Int), (Int, Int)])(implicit req: MessagesRequest[AnyContent], user: Option[model.User])

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers(player.player.fullName)
    </head>
    <body>
        @views.html.templates._navbar()

        <div class="container">
            <h3>@player.player.fullName</h3>
            <hr />
            <div class="row">
                <div class="col-sm-2">
                    <img class="mx-auto d-block img-with-fallback" data-fallback="@routes.Assets.at("images/teams/" + player.team.map(_.tag).getOrElse("") + ".png")" src="@routes.Assets.at("images/teams/" + player.team.map(_.tag).getOrElse("") + ".svg")" alt="@player.team.map(_.tag).getOrElse("Free Agent")" style="object-fit: contain" height="100rem" />
                </div>
                <div class="col-sm">
                    <div class="row">
                        <div class="col-6 col-sm-3">
                            <h5>Batting Type</h5>
                            @player.battingType.name
                        </div>
                        <div class="col-6 col-sm-3">
                            <h5>Handedness</h5>
                            @{if (player.player.righthanded) "Right" else "Left"}
                        </div>
                        <div class="col-6 col-sm-3">
                            <h5>Pitching Type</h5>
                            @player.pitchingType.map(_.name).getOrElse("None")
                        </div>
                        <div class="col-6 col-sm-3">
                            <h5>Hand Bonus</h5>
                            @player.pitchingBonus.map(_.name).getOrElse("None")
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <h5>Primary Position</h5>
                            @player.player.positionPrimary
                        </div>
                        <div class="col">
                            <h5>Secondary Position</h5>
                            @player.player.positionSecondary.getOrElse("None")
                        </div>
                        <div class="col">
                            <h5>Tertiary Position</h5>
                            @player.player.positionTertiary.getOrElse("None")
                        </div>
                    </div>
                </div>
            </div>
            <br />
            <h3>Stats</h3>
            <hr />
            @if(playerWithStats.battingStats.isEmpty && playerWithStats.pitchingStats.isEmpty) {
                <span>No stats have been collected for this player.</span>
            }
            @if(playerWithStats.battingStats.nonEmpty) {
                Batting Stats
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead>
                            <tr>
                                <th scope="col">Season</th>
                                <th scope="col">G</th>
                                <th scope="col">HR</th>
                                <th scope="col">R</th>
                                <th scope="col">RBI</th>
                                <th scope="col">SB</th>
                                <th scope="col">BA</th>
                                <th scope="col">OBP</th>
                                <th scope="col">SLG</th>
                            </tr>
                        </thead>
                        <tbody>
                            @for((season, stats) <- playerWithStats.battingStats.toSeq.sortBy(_._1._2)) {
                                <tr>
                                    <th scope="row">@{s"${season._2}${if (season._1) "i" else ""}"}</th>
                                    <td>@stats.totalGp</td>
                                    <td>@stats.totalHr</td>
                                    <td>@stats.totalR</td>
                                    <td>@stats.totalRbi</td>
                                    <td>@stats.totalSb</td>
                                    <td>@{"%.3f".format(stats.ba)}</td>
                                    <td>@{"%.3f".format(stats.obp)}</td>
                                    <td>@{"%.3f".format(stats.slg)}</td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            }
            @if(playerWithStats.pitchingStats.nonEmpty) {
                Pitching Stats
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">Season</th>
                                <th scope="col">W-L</th>
                                <th scope="col">ERA</th>
                                <th scope="col">WHIP</th>
                                <th scope="col">IP</th>
                                <th scope="col">K</th>
                                <th scope="col">FO</th>
                                <th scope="col">GO</th>
                                <th scope="col">BB</th>
                            </tr>
                        </thead>
                        <tbody>
                            @for((season, stats) <- playerWithStats.pitchingStats.toSeq.sortBy(_._1._2)) {
                                <tr>
                                    <th scope="row">@{s"${season._2}${if (season._1) "i" else ""}"}</th>
                                    <td>@pitchingRecords.get(season).map(r => r._1 + "-" + r._2)</td>
                                    <td>@{"%.3f".format(stats.era)}</td>
                                    <td>@{"%.3f".format(stats.whip)}</td>
                                    <td>@stats.totalIP</td>
                                    <td>@stats.totalK</td>
                                    <td>@stats.totalFo</td>
                                    <td>@stats.totalGo</td>
                                    <td>@stats.totalBb</td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            }
        </div>
    </body>
</html>
